glibmm: Glib::SpawnError Class Reference

glibmm 2.77.0

Public Types | Public Member Functions | List of all members
Glib::SpawnError Class Reference
Spawning Processes

Exception class for errors occuring when spawning processes. More...

`#include <glibmm/spawn.h>`

Inheritance diagram for Glib::SpawnError:
[legend]

## Public Types
enum | Code { FORK , READ , CHDIR , ACCES , PERM , TOO_BIG , TOOBIG = TOO_BIG , NOEXEC , NAMETOOLONG , NOENT , NOMEM , NOTDIR , LOOP , TXTBUSY , IO , NFILE , MFILE , INVAL , ISDIR , LIBBAD , FAILED }
| Error codes returned by spawning processes. More...

## Public Member Functions
| SpawnError (Code error_code, const Glib::ustring & error_message)
| SpawnError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring & message)
| Error (GError * gobject, bool take_copy=false)
| Error (const Error & other)
Error & | operator= (const Error & other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance. More...
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
virtual const char * | what () const noexcept

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for errors occuring when spawning processes.

## Member Enumeration Documentation

## ◆ Code

enum Glib::SpawnError::Code

Error codes returned by spawning processes.

Enumerator
FORK | Fork failed due to lack of memory.
READ | Read or select on pipes failed.
CHDIR | Changing to working directory failed.
ACCES | Execv() returned `EACCES`.
PERM | Execv() returned `EPERM`.
TOO_BIG | Execv() returned `E2BIG`.
TOOBIG | Deprecated alias for Glib::SpawnError::TOO_BIG (deprecated since GLib 2.32).
NOEXEC | Execv() returned `ENOEXEC`.
NAMETOOLONG | Execv() returned `ENAMETOOLONG`.
NOENT | Execv() returned `ENOENT`.
NOMEM | Execv() returned `ENOMEM`.
NOTDIR | Execv() returned `ENOTDIR`.
LOOP | Execv() returned `ELOOP`.
TXTBUSY | Execv() returned `ETXTBUSY`.
IO | Execv() returned `EIO`.
NFILE | Execv() returned `ENFILE`.
MFILE | Execv() returned `EMFILE`.
INVAL | Execv() returned `EINVAL`.
ISDIR | Execv() returned `EISDIR`.
LIBBAD | Execv() returned `ELIBBAD`.
FAILED | Some other fatal failure, `error->message` should explain.

## Constructor & Destructor Documentation

## ◆ SpawnError() [1/2]

Glib::SpawnError::SpawnError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ SpawnError() [2/2]

Glib::SpawnError::SpawnError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Glib::SpawnError::code | ( |  | ) | const